paxtest_0.9.14-2_amd64.deb


Advertisement

Description

paxtest - Test suite for the PaX kernel patch

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename paxtest_0.9.14-2_amd64.deb
Package name paxtest
Package version 0.9.14
Package release 2
Package architecture amd64
Package type deb
Category universe/devel
Homepage http://www.grsecurity.net/~spender/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 25.84 KB
Installed size 975.00 KB
PaX is a Linux kernel patch which adds much stricter control on how memory
is being used by applications. A normal Linux kernel leaves the control to the
application and does not implement any enforcement. Especially buffer overflow
attacks benefit from the absence of kernel enforced memory control. PaX tries
to do its best to enforce this control of memory used by applications, thereby
making it harder to successfully exploit buffer overflows.
Paxtest provides a regression test suite that covers most (but not all)
of PaX functionality. It can also be used to test other memory protection
patches.

Alternatives

Package Version Architecture Repository
paxtest_0.9.14-2_i386.deb 0.9.14 i386 Ubuntu Universe
paxtest - - -

Requires

Name Value
libc6 >= 2.14

Download

Type URL
Mirror archive.ubuntu.com
Binary Package paxtest_0.9.14-2_amd64.deb
Source Package paxtest

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install paxtest deb package:
    # sudo apt-get install paxtest

Files

Path
/usr/bin/paxtest
/usr/lib/paxtest/anonmap
/usr/lib/paxtest/execbss
/usr/lib/paxtest/execdata
/usr/lib/paxtest/execheap
/usr/lib/paxtest/execstack
/usr/lib/paxtest/getamap
/usr/lib/paxtest/getarg1
/usr/lib/paxtest/getarg2
/usr/lib/paxtest/getexhaust1
/usr/lib/paxtest/getexhaust2
/usr/lib/paxtest/getheap1
/usr/lib/paxtest/getheap2
/usr/lib/paxtest/getmain1
/usr/lib/paxtest/getmain2
/usr/lib/paxtest/getshlib
/usr/lib/paxtest/getstack1
/usr/lib/paxtest/getstack2
/usr/lib/paxtest/getvdso
/usr/lib/paxtest/mprotanon
/usr/lib/paxtest/mprotbss
/usr/lib/paxtest/mprotdata
/usr/lib/paxtest/mprotheap
/usr/lib/paxtest/mprotshbss
/usr/lib/paxtest/mprotshdata
/usr/lib/paxtest/mprotstack
/usr/lib/paxtest/randamap
/usr/lib/paxtest/randarg1
/usr/lib/paxtest/randarg2
/usr/lib/paxtest/randexhaust1
/usr/lib/paxtest/randexhaust2
/usr/lib/paxtest/randheap1
/usr/lib/paxtest/randheap2
/usr/lib/paxtest/randmain1
/usr/lib/paxtest/randmain2
/usr/lib/paxtest/randshlib
/usr/lib/paxtest/randstack1
/usr/lib/paxtest/randstack2
/usr/lib/paxtest/randvdso
/usr/lib/paxtest/rettofunc1
/usr/lib/paxtest/rettofunc1x
/usr/lib/paxtest/rettofunc2
/usr/lib/paxtest/rettofunc2x
/usr/lib/paxtest/shlibbss
/usr/lib/paxtest/shlibdata
/usr/lib/paxtest/shlibtest.so
/usr/lib/paxtest/shlibtest2.so
/usr/lib/paxtest/writetext
/usr/share/doc/paxtest/README.gz
/usr/share/doc/paxtest/changelog.Debian.gz
/usr/share/doc/paxtest/copyright
/usr/share/doc/paxtest/examples/Debian_sid_Linux_2_4_2007.blackhat
/usr/share/doc/paxtest/examples/Debian_sid_Linux_2_4_2007.kiddie
/usr/share/doc/paxtest/examples/Debian_sid_Linux_2_6_2010.blackhat
/usr/share/doc/paxtest/examples/Debian_sid_Linux_2_6_2010.kiddie
/usr/share/doc/paxtest/examples/Debian_sid_Linux_4_4_2016.blackhat
/usr/share/doc/paxtest/examples/Debian_sid_Linux_4_4_2016.kiddie
/usr/share/doc/paxtest/examples/Debian_sid_Linux_4_4_grsec_2016.blackhat
/usr/share/doc/paxtest/examples/Debian_sid_Linux_4_4_grsec_2016.kiddie
/usr/share/doc/paxtest/examples/PaX_x86.blackhat
/usr/share/doc/paxtest/examples/PaX_x86_64.blackhat
/usr/share/doc/paxtest/examples/README.results
/usr/share/doc/paxtest/examples/sample.debian
/usr/share/man/man1/paxtest.1.gz

Changelog

2016-05-02 - Javier Fernández-Sanguino Peña <jfs@debian.org>
paxtest (1:0.9.14-2) unstable; urgency=low
* debian/control: Add quilt to Build-Depends as required with the changes introduced
in the previous version
* debian/watch: Add file based on the watch file available provided by 
Bart Martens and available in: 
http://anonscm.debian.org/viewvc/sepwatch/trunk/watchfiles/
* Add new results files (Debian_sid_Linux_4_4_grsec_2016.blackhat,
Debian_sid_Linux_4_4_grsec_2016.kiddie) provided by 'Esokrates' based on
the execution of paxtest in a Linux 4.4 kernel with grsecurity
* Add a README file documenting what paxtest execution examples are provided 
2016-04-30 - Javier Fernández-Sanguino Peña <jfs@debian.org>
paxtest (1:0.9.14-1) unstable; urgency=medium
* New upstream release and upload to Debian
- This release fixes the incomplete output issue reported 
in standard kernels (Closes:  #779316)
* debian/docs: Adjust with the contents now available from upstream
* debian/rules: Simplify the package construction by converting it to
debhelper
* Convert into 3.0 quilt format and move patches to debian/patches:
- 01_add_results.diff  - add paxtest results from some systems
- 02_change_log_file_location.diff - change location of paxtest logfile
- 03_paxtest_add_info.diff - Add more information to paxtest logfile
- 04_remove_void_function.diff: Add patch to fix bug 758566 as provided
in the bug report. This patch is not applied yet as we do not know if
this impacts the tests themselves and is required by the paxtest
program.
* Create example results for execution in a Linux sid system using
kernel 4.4
* Move the results from docs to examples. Do not ship the Adamantix sample
anymore as the project is defunct
2010-08-26 - Brad Spengler <spender@grsecurity.net>
paxtest (0.9.13-1) stable; urgency=low
* Added VDSO randomization test
* Added basic entropy quality testing, subtracts weak bits from entropy count
* Increased iterations for all randomization tests but the exhaustion tests
2010-08-26 - Brad Spengler <spender@grsecurity.net>
paxtest (0.9.12-1) stable; urgency=low
* Added ARM support
2013-11-04 - Javier Fernández-Sanguino Peña <jfs@debian.org>
paxtest (1:0.9.11-2) unstable; urgency=low
* New upstream release, uploaded to Debian. (Closes: #665800)
- The upstream fixed the FTBFS error reported - "fix build with ld
--as-needed". Makefile.psm now places libraries behind the objects
needing their symbols on the commandline when building with ld
--as-needed (initially reported with patch by Julian Taylor
<jtaylor.debian@googlemail.com>) (LP: #831405) (Closes: #639128)
* debian/control: 
- Add, as to the list of architectures the following: amd64 sparc powerpc
(as they seem to be supported in the source). 
- Put full maintainer's name in UTF-8
* debian/changelog:
- Add changelog of Ubuntu entry
- Add dates to upstream releases based on timestamps of files at
http://grsecurity.net/~spender/
* debian/sample.debian, debian/rules:
- Add an output example when running in a Debian system (a kernel that
does not include the grsecurity patch)
2013-01-31 - Brad Spengler <spender@grsecurity.net>
paxtest (0.9.11-1) stable; urgency=low
* Added display of exhaustion tests
2012-12-29 - Brad Spengler <spender@grsecurity.net>
paxtest (0.9.10-1) stable; urgency=low
* Fixed compilation problem reported on forums
* Added display of argv/env randomization
2011-09-14 - Matthias Klose <email address hidden>
paxtest (1:0.9.9-1ubuntu1) oneiric; urgency=low
* Fix FTBFS with ld --as-needed. LP: #831405.

See Also

Package Description
pbalign-doc_0.3.2-1_all.deb documentation for pbalign
pbalign_0.3.2-1_all.deb map Pacific Biosciences reads to reference DNA sequences
pbbamtools_0.19.0+dfsg-4_amd64.deb processing Pacific Biosciences binary alignment/map files
pbbarcode_0.8.0-5_amd64.deb annotate PacBio sequencing reads with barcode information
pbdagcon_0.3+git20161121.0000000+ds-1.1_amd64.deb sequence consensus using directed acyclic graphs
pbgenomicconsensus_2.3.2-5_all.deb Pacific Biosciences variant and consensus caller
pbh5tools_0.8.0+git20170929.58d54ff+dfsg-1_all.deb tools for manipulating Pacific Biosciences HDF5 files
pbsim_1.0.3+git20180330.e014b1d+dfsg-1_amd64.deb simulator for PacBio sequencing reads
pbuilder-scripts_22_all.deb Wrapper scripts for pbuilder
pbuilder_0.230.4_all.deb personal package builder for Debian packages
pbzip2_1.1.9-1build1_amd64.deb parallel bzip2 implementation
pcal_4.11.0-3build1_amd64.deb generate Postscript calendars without X
pcalendar_3.4.1-3_all.deb track menstrual cycles and predict fertility periods
pcapfix_1.1.4-2_amd64.deb repairs broken pcap and pcapng files
pcaputils_0.8-1build1_amd64.deb specialized libpcap utilities
Advertisement
Advertisement